    {% extends 'shop/basic.html' %}
    {% block title %}
    {{product.0.product_name}}
    {% endblock %}
    {% block css %}
    .col-mod-4{
        margin: 50px;
    }
    
    .col-mod-4 img{
        height: 400px;
        width: 300px;
    }

    .col-mod-8{
        margin-left: 100px;
    }

    {% endblock %}

    {%load static%}
    {% block body %}
        <br>
        <br>
       
        <br>
        <br>
        <div class="container">
            <div class="row">
                <div class="col-mod-4">
                    <div class="row">
                        <img src="/media/{{product.0.image}}">
                <div class="col-mod-8">
                    <br>
                    <br>
                    {% csrf_token %}
                    <h5 >
                        {{product.0.product_name}}
                    </h5> 
                    <h5><b>RS.</b>{{product.0.price}}</h5>
                    <p>
                        {{product.0.decs}}
                    </p>
                    <h1>
                        {{review.0.reviews}}
                    </h1>
                    <span id="divpr{{i.id}}" class="divpr">
                        <button id="pr{{i.id}}" href="/shop/store/cart" class="btn btn-primary cart">BUY NOW</button>
                    </span>

                </div>
            </div>
            </div>
            </div>
        </div>
            <br>
            <br>
            <br>


            <script>
                if(localStorage.getItem('cart') == null) {
                    var cart = {};
                    } 
                    else {
                    cart = JSON.parse(localStorage.getItem('cart'));
                    document.getElementById('cart').innerHTML = Object.keys(cart).length;
                    console.log(cart);
                }
                // If the add to cart button is clicked, add/increment the item
              
              
                $('.cart').click(function() {
                    var idstr = this.id.toString();
                    if (cart[idstr] != undefined) {
                        cart[idstr] = cart[idstr] + 1;
                    } else {
                        cart[idstr] = 1;
                    }
                    updateCart(cart);
                    
                });
                //Add popover
                $('#popcart').popover();
                updatePopover(cart);
                
                function updatePopover(cart)
              {
                  console.log('We are inside updatePopover');
                  var popStr = "";
                  popStr = popStr + "<h5> Hi , there </h5><div class='mx-2 my-2'>";
                  var i = 1;
                  for (var item in cart){
                      popStr = popStr + "<b>" + i + "</b>. ";
                      popStr = popStr + document.getElementById('name' + item).innerHTML.slice(0, 19) + "... Qty: " + cart[item] + '<br>';
                      console.log(cart);
                      i = i+1;
                  }
                  popStr = popStr + "</div>" 
                  console.log(popStr);
                  document.getElementById('popcart').setAttribute('data-content', popStr);
                  $('#popcart').popover('show');
              }
                
              
                function updateCart(cart) {
                  var sum = 0;
                    for (var item in cart) {
                      sum = sum + cart[item];
                      document.getElementById('div' + item).innerHTML = "<button id='minus" + item + "' class='btn btn-primary minus'>-</button> <span id='val" + item + "''>" + cart[item] + "</span> <button id='plus" + item + "' class='btn btn-primary plus'> + </button>";
                    }
                    localStorage.setItem('cart', JSON.stringify(cart));
                    document.getElementById('cart').innerHTML = sum;  
                    console.log(cart);
                    updatePopover(cart); 
                }
               
                $('.divpr').on("click", "button.minus", function() {
                    a = this.id.slice(7, );
                    cart['pr' + a] = cart['pr' + a] - 1;
                    cart['pr' + a] = Math.max(0, cart['pr' + a]);
                    document.getElementById('valpr' + a).innerHTML = cart['pr' + a];
                    updateCart(cart);
                    });
              
                $('.divpr').on("click", "button.plus", function() {
                    a = this.id.slice(6, );
                    cart['pr' + a] = cart['pr' + a] + 1;
                    document.getElementById('valpr' + a).innerHTML = cart['pr' + a];
                });
              
                </script>  
    {% endblock %}
    
    {% block js%}
    {% endblock %}